org.jboss.netty.handler.codec.http

## Class DefaultHttpRequest

- java.lang.Object
- - org.jboss.netty.handler.codec.http.DefaultHttpMessage
  - - org.jboss.netty.handler.codec.http.DefaultHttpRequest

All Implemented Interfaces:
  HttpMessage, HttpRequest

    public class DefaultHttpRequest
    extends DefaultHttpMessage
    implements HttpRequest

The default `HttpRequest` implementation.

### Constructor Summary

Constructors
Constructor and Description
`DefaultHttpRequest(HttpVersion httpVersion, HttpMethod method, String uri)` Creates a new instance.

### Method Summary

Methods
`HttpMethod` `getMethod()` Returns the method of this request.
`String` `getUri()` Returns the URI (or path) of this request.
`void` `setMethod(HttpMethod method)` Sets the method of this request.
`void` `setUri(String uri)` Sets the URI (or path) of this request.
`String` `toString()`

### Methods inherited from class org.jboss.netty.handler.codec.http.DefaultHttpMessage

`addHeader, clearHeaders, containsHeader, getContent, getContentLength, getContentLength, getHeader, getHeaderNames, getHeaders, getHeaders, getProtocolVersion, isChunked, isKeepAlive, removeHeader, setChunked, setContent, setHeader, setHeader, setProtocolVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.jboss.netty.handler.codec.http.HttpMessage

`addHeader, clearHeaders, containsHeader, getContent, getContentLength, getContentLength, getHeader, getHeaderNames, getHeaders, getHeaders, getProtocolVersion, isChunked, isKeepAlive, removeHeader, setChunked, setContent, setHeader, setHeader, setProtocolVersion`

### Constructor Detail

#### DefaultHttpRequest

    public DefaultHttpRequest(HttpVersion httpVersion,
                      HttpMethod method,
                      String uri)

Creates a new instance.

Parameters:
  `httpVersion` - the HTTP version of the request
  `method` - the HTTP method of the request
  `uri` - the URI or path of the request

### Method Detail

#### getMethod

    public HttpMethod getMethod()

Description copied from interface: `HttpRequest`
Returns the method of this request.

Specified by:
  `getMethod` in interface `HttpRequest`

#### setMethod

    public void setMethod(HttpMethod method)

Description copied from interface: `HttpRequest`
Sets the method of this request.

Specified by:
  `setMethod` in interface `HttpRequest`

#### getUri

    public String getUri()

Description copied from interface: `HttpRequest`
Returns the URI (or path) of this request.

Specified by:
  `getUri` in interface `HttpRequest`

#### setUri

    public void setUri(String uri)

Description copied from interface: `HttpRequest`
Sets the URI (or path) of this request.

Specified by:
  `setUri` in interface `HttpRequest`

#### toString

    public String toString()

Overrides:
  `toString` in class `DefaultHttpMessage`